#ifndef RENDER_RENDER_H
#define RENDER_RENDER_H

#include <wndbase.hpp>
#include "render_lib_macro.h"




class WndRender;
class RENDER_API Render {
public:
    Render();
    ~Render();

    HWND InitWindow(HINSTANCE hinstance,
                    PCWSTR titleName,
                    int width = 1280,
                    int height = 720,
                    HWND parent = nullptr,
                    DWORD dwStyle = WS_OVERLAPPEDWINDOW);

    DWORD ExecWindow(int nCmdShow = SW_SHOWNORMAL);

    void EndWindow();

private:
    WndRender *m_window{};

};




#endif //RENDER_RENDER_H
